Skip to main content
Compute Management/VM Related Interfaces
GETVM Related InterfacesSince 4.6.21SynchronousAuth Required

Get Virtualization Software Info

Get Virtualization Software Info

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • uuidsListRequired

    Resource UUID, can be Virtual Machine or Host UUID

  • systemTagsList

    System Tags

  • userTagsList

    User Tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the operation succeeded

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. For details, see error

    • codeStringRequired

      Error code number, a globally unique identifier for the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause: the source error that triggered the current error. If there is no original error, this field is null

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      Resource UUID, a unique identifier for the resource

    • resourceTypeStringRequired

      Resource Type

    • errorListRequired

      Query errors that occurred, may be null

      • codeStringRequired

        Error code number, a globally unique identifier for the error, for example SYS.1000, HOST.1001

      • descriptionStringRequired

        Brief description of the error

      • detailsStringRequired

        Detailed error information

      • elaborationStringRequired

        Reserved field, defaults to null

      • opaqueLinkedHashMapRequired

        Reserved field, defaults to null

      • causeErrorCodeRequired

        Root cause: the source error that triggered the current error. If there is no original error, this field is null

    • infoListListRequired

      For details, see infoList

      • hypervisorStringRequired

        Virtualization software, typically qemu-kvm

      • currentVersionStringRequired

        Current virtualization software version used by the VM / Currently installed virtualization software version on the Host

      • expectVersionStringRequired

        Expected virtualization software version. If querying a VM, the expected version comes from the Host. If querying a Host, the expected version comes from the Management Node

      • matchStateStringRequired

        Whether the current virtualization software version matches the expected version. If either the current or expected version is not found, Unknown is returned

Endpoint

GET/zstack/v1/vm-instances/virtualizer-info

/zstack/v1/vm-instances/virtualizer-info

Operation ID

GetVirtualizerInfo

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/virtualizer-info?uuids=<uuids>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "3ce46fb7eb2e369c88d5fd671d1c1694", "resourceType": "HostVO", "infoList": [ { "hypervisor": "qemu-kvm", "currentVersion": "4.2.0-632.g6a6222b.el7", "expectVersion": "4.2.0-632.g6a6222b.el7", "matchState": "Matched" } ] }, { "uuid": "5c10fab3f649380e9dce16bb22ffd572", "resourceType": "VmInstanceVO", "infoList": [ { "hypervisor": "qemu-kvm", "currentVersion": "4.2.0-632.g6a6222b.el7", "expectVersion": "4.2.0-632.g6a6222b.el7", "matchState": "Matched" } ] }, { "uuid": "78a8b78906233d57bce710e89b24ebc0", "resourceType": "VmInstanceVO", "infoList": [ { "hypervisor": "qemu-kvm", "currentVersion": "4.2.0-632.g6a6222b.el7", "expectVersion": "4.2.0-632.g6a6222b.el7", "matchState": "Matched" } ] } ] }

Change History

This API has no change history records yet.

View all change history